<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <sqtm-core-single-milestone-picker
      [milestones]="configuration.milestones"
      [disableColumns]="configuration.disableColumns"
      [initiallySelectedMilestone]="configuration.selectedMilestone"
      (selectedMilestone)="changeMilestoneSelection($event)"
    ></sqtm-core-single-milestone-picker>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
